Subject: auto-complete-mode in css-file
From: ishi soichi <[email-masked]>
To: [email-masked]
Date: Sun, 14 Nov 2010 09:11:15 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

auto-complete-mode seems to give a bug when typing "border: " in a css file.

in .emacs file, the following setting is given after reading

auto-complete-config.el
anto-complete.el
----------------------------------
(require 'auto-complete-config)
(global-auto-complete-mode 1)
(add-to-list 'ac-dictionary-directories "~/.emacs.d/site-lisp/ac/ac-dict")
(ac-config-default)
----------------------------------

My environment is

Cocoa Emacs Version 23.2 (9.0)
MacOS Snow Leopard 10.6.4

installed elisps:
----------------------------
auto-install.el
emacs-w3m
auto-save-buffers
skk (Japanese input method)
anything.el
auto-async-byte-compile.el
auto-complete-config.el
auto-complete.el
color-theme.el
color-theme-autoloads.el
fuzzy.el
html-fold.el
ipa.el
key-chord.el
popup.el
sense-region.el
sequential-command.el
text-translator.el
shell-pop.el
twittering-mode.el
w3m-wget.el
---------------------------

I tried Emacs with no .el files.  It was fine.
Then, I commented out one by one, then realized that the problem happens
when "auto-complete-mode" setting is commented out.
I have even tried Emacs ONLY with "auto-complete-mode" setting after reading
necessary .el files (auto-complete.el and auto-complete-config.el).  The
problem was reproduced.

As mentioned above, Emacs freezes itself when typing "border: ".  Normally,
auto-complete-mode works fine.

This is my first bug report.  I hope I have provided enough information to
have you understand the situation.  If not, please let me know.

Thanks in advance.

Soichi